package com.mosty.base.manager;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *	基础管理微服务
 * @author kevin
 * @date 2022/1/22 4:23 PM
 * @since 1.0.0
 */
@EnableTimeConsume
//@ComponentScan("com.mosty")
//@MapperScan(basePackages = {"com.mosty","com.mosty.*.mapper"})
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@EnableDiscoveryClient
@EnableScheduling
@SpringBootApplication
public class MostyJcglApplication {

	public static void main(String[] args) {
		try {
			SpringApplication.run(MostyJcglApplication.class, args);
		}catch (Exception e){
			e.printStackTrace();
		}
	}

}
